aboutsummaryrefslogtreecommitdiff
path: root/ci/test/00_setup_env.sh
diff options
context:
space:
mode:
authorMarcoFalke <falke.marco@gmail.com>2019-08-15 16:51:31 -0400
committerMarcoFalke <falke.marco@gmail.com>2019-08-16 08:46:37 -0400
commitfa21737ba7159578299f2b10e181a084ab8887c4 (patch)
tree00fb547b8268195de433a5bf5367a413c7e2fe4c /ci/test/00_setup_env.sh
parent1bf2ff2bf8e8bef3ba21e635aabb1b0964062743 (diff)
downloadbitcoin-fa21737ba7159578299f2b10e181a084ab8887c4.tar.xz
ci: Add environment files for all settings
Diffstat (limited to 'ci/test/00_setup_env.sh')
-rwxr-xr-xci/test/00_setup_env.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/ci/test/00_setup_env.sh b/ci/test/00_setup_env.sh
index fae48ba176..09b37f8240 100755
--- a/ci/test/00_setup_env.sh
+++ b/ci/test/00_setup_env.sh
@@ -31,3 +31,10 @@ export GOAL=${GOAL:-install}
export DIR_QA_ASSETS=${DIR_QA_ASSETS:-${BASE_BUILD_DIR}/qa-assets}
export PATH=${BASE_ROOT_DIR}/ci/retry:$PATH
export CI_RETRY_EXE=${CI_RETRY_EXE:retry}
+
+echo "Setting specific values in env"
+if [ -n "${FILE_ENV}" ]; then
+ set -o errexit;
+ # shellcheck disable=SC1090
+ source "${FILE_ENV}"
+fi